package kr.co.vividnext.sodalive.live.room.chat

import com.google.gson.annotations.SerializedName

data class LiveRoomChatRawMessage(
    @SerializedName("type") val type: LiveRoomChatRawMessageType,
    @SerializedName("message") val message: String,
    @SerializedName("can") val can: Int,
    @SerializedName("donationMessage") val donationMessage: String?
)

enum class LiveRoomChatRawMessageType {
    @SerializedName("DONATION") DONATION,
    @SerializedName("SET_MANAGER") SET_MANAGER,
    @SerializedName("EDIT_ROOM_INFO") EDIT_ROOM_INFO,
    @SerializedName("DONATION_STATUS") DONATION_STATUS
}
